Issue #12284 has been reported by Jon Bailey.

----------------------------------------
Bug #12284: io-console gem >= 0.4.3 breaks on Windows ruby < 2.2.0 due to needing rb_sym2str
https://bugs.ruby-lang.org/issues/12284

* Author: Jon Bailey
* Status: Open
* Priority: Normal
* Assignee: 
* ruby -v: ruby 2.1.8p440 (2015-12-16 revision 53160) [x64-mingw32]
* Backport: 2.1: REQUIRED, 2.2: DONTNEED, 2.3: DONTNEED
----------------------------------------
Ruby 2.1.x users (on Windows) who do "gem update" and try to build io-console 0.4.3 or later fail at link-time.

rb_sym2str was first used in console.c in r50427

rb_sym2str was implemented in ruby 2.20

Excerpt of build failure:
`current directory: C:/rubytest/ruby-2.1.8-x64-mingw32/lib/ruby/gems/2.1.0/gems/io-console-0.4.5
make "DESTDIR="
generating console-x64-mingw32.def
compiling console.c
console.c: In function 'console_key_pressed_p':
console.c:722:6: warning: implicit declaration of function 'rb_sym2str' [-Wimplicit-function-declaration]
linking shared-object io/console.so
console.o: In function `` ` ``console_key_pressed_p':
C:\rubytest\ruby-2.1.8-x64-mingw32\lib\ruby\gems\2.1.0\gems\io-console-0.4.5/console.c:722: undefined reference to `` ` ``rb_sym2str'
collect2.exe: error: ld returned 1 exit status
make: *** [console.so] Error 1`



-- 
https://bugs.ruby-lang.org/

Unsubscribe: <mailto:ruby-core-request / ruby-lang.org?subject=unsubscribe>
<http://lists.ruby-lang.org/cgi-bin/mailman/options/ruby-core>